#------------------------------------------------------------------------------
#
#	Apple Macintosh Developer Technical Support
#
#	MultiFinder-Aware Simple TextEdit Sample Application
#
#	CPlusTESample
#
#	CPlusTESample.make	-	Make source
#
#	Copyright © 1989 Apple Computer, Inc.
#	All rights reserved.
#
#	Versions:	
#			1.00 					04/89
#
#	Components:
#			CPlusTESample.make		April 1, 1989
#			TApplicationCommon.h	April 1, 1989
#			TApplication.h			April 1, 1989
#			TDocument.h				April 1, 1989
#			TECommon.h				April 1, 1989
#			TESample.h				April 1, 1989
#			TEDocument.h			April 1, 1989
#			TApplication.cp			April 1, 1989
#			TDocument.cp			April 1, 1989
#			TESample.cp				April 1, 1989
#			TEDocument.cp			April 1, 1989
#			TESampleGlue.a			April 1, 1989
#			TApplication.r			April 1, 1989
#			TESample.r				April 1, 1989
#
#	CPlusTESample is an example application that demonstrates
#	how to initialize the commonly used toolbox managers,
#	operate successfully under MultiFinder, handle desk
#	accessories and create, grow, and zoom windows. The
#	fundamental TextEdit toolbox calls and TextEdit autoscroll
#	are demonstrated. It also shows how to create and maintain
#	scrollbar controls. 
#
#	This version of TESample has been substantially reworked in
#	C++ to show how a "typical" object oriented program could
#	be written. To this end, what was once a single source code
#	file has been restructured into a set of classes which
#	demonstrate the advantages of object-oriented programming.
#
#------------------------------------------------------------------------------

# We need this rule since it is not built into 3.0 Make
# You can comment this line out for MPW 3.1 or higher
.cp.o	Ä	.cp
	CPlus {depDir}{default}.cp -o {targDir}{default}.cp.o {CPlusOptions}

Objs =	¶
	TApplication.cp.o ¶
	TDocument.cp.o ¶
	TEDocument.cp.o ¶
	TESample.cp.o ¶
	TESampleGlue.a.o

Srcs =	¶
	TApplication.cp ¶
	TDocument.cp ¶
	TEDocument.cp ¶
	TESample.cp ¶
	TESampleGlue.a

Hdrs =	¶
	TApplicationCommon.h ¶
	TApplication.h ¶
	TECommon.h ¶
	TDocument.h ¶
	TEDocument.h ¶
	TESample.h

# turn on SADE symbols
SymOpts = -sym off

# C++ options
CPlusOptions = {SymOpts} -a

CPlusTESample ÄÄ {Objs} CPlusTESample.make
	Link -o {Targ} {SymOpts} ¶
		{Objs} ¶
		"{CLibraries}"CPlusLib.o ¶
		"{CLibraries}"CRuntime.o ¶
		"{CLibraries}"StdCLib.o ¶
		"{CLibraries}"CInterface.o ¶
		"{Libraries}"Interface.o
	SetFile {Targ} -t APPL -c 'MOOT' -a B

CPlusTESample ÄÄ TESample.r TECommon.h CPlusTESample.make
	Rez -append -o {Targ} TESample.r

CPlusTESample ÄÄ TApplication.r TApplicationCommon.h CPlusTESample.make
	Rez -append -o {Targ} TApplication.r

# if any headers change, recompile everything
{Objs} ÄÄ {Hdrs}
